/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __SEC14_AOAA_H
#define __SEC14_AOAA_H

/******************************************************************************
 * Includes
 *****************************************************************************/
#include "lpc_types.h"

/******************************************************************************
 * Defines and typedefs
 *****************************************************************************/

//***********************************************
//* 14-pos Serial Expansion Connector
//* on AOAA Board (LPC1769)
//*
//* SPI-SCK  (pin 3) = P0.7
//* SPI-MOSI (pin 4) = P0.9
//* SPI-MISO (pin 5) = P0.8
//* SPI-SSEL (pin 6) = P0.6
//* RxD_inp  (pin 7) = P4.29
//* TxD_outp (pin 8) = P4.28
//* pin 11   = P3.25
//* pin 12   = P3.26
//* pin 13   = P0.23
//* pin 14   = P0.26
//*
//***********************************************

#if 0

#define SEC14_PIN6_INP       (GPIO_ReadValue(0) & (1<<6))
#define SEC14_PIN6_SET_INP   GPIO_SetDir(0, (1<<6), 0)
#define SEC14_PIN6_SET_OUTP  GPIO_SetDir(0, (1<<6), 1)
#define SEC14_PIN6_SET_LOW   GPIO_ClearValue(0, (1<<6))
#define SEC14_PIN6_SET_HIGH  GPIO_SetValue(0, (1<<6))

#define SEC14_PIN7_INP       (GPIO_ReadValue(4) & (1<<29))
#define SEC14_PIN7_SET_INP   GPIO_SetDir(4, (1<<29), 0)
#define SEC14_PIN7_SET_OUTP  GPIO_SetDir(4, (1<<29), 1)
#define SEC14_PIN7_SET_LOW   GPIO_ClearValue(4, (1<<29))
#define SEC14_PIN7_SET_HIGH  GPIO_SetValue(4, (1<<29))

#define SEC14_PIN8_INP       (GPIO_ReadValue(4) & (1<<28))
#define SEC14_PIN8_SET_INP   GPIO_SetDir(4, (1<<28), 0)
#define SEC14_PIN8_SET_OUTP  GPIO_SetDir(4, (1<<28), 1)
#define SEC14_PIN8_SET_LOW   GPIO_ClearValue(4, (1<<28))
#define SEC14_PIN8_SET_HIGH  GPIO_SetValue(4, (1<<28))

#define SEC14_PIN11_INP       (GPIO_ReadValue(3) & (1<<25))
#define SEC14_PIN11_SET_INP   GPIO_SetDir(3, (1<<25), 0)
#define SEC14_PIN11_SET_OUTP  GPIO_SetDir(3, (1<<25), 1)
#define SEC14_PIN11_SET_LOW   GPIO_ClearValue(3, (1<<25))
#define SEC14_PIN11_SET_HIGH  GPIO_SetValue(3, (1<<25))

#define SEC14_PIN12_INP       (GPIO_ReadValue(3) & (1<<26))
#define SEC14_PIN12_SET_INP   GPIO_SetDir(3, (1<<26), 0)
#define SEC14_PIN12_SET_OUTP  GPIO_SetDir(3, (1<<26), 1)
#define SEC14_PIN12_SET_LOW   GPIO_ClearValue(3, (1<<26))
#define SEC14_PIN12_SET_HIGH  GPIO_SetValue(3, (1<<26))

#define SEC14_PIN13_INP       (GPIO_ReadValue(0) & (1<<23))
#define SEC14_PIN13_SET_INP   GPIO_SetDir(0, (1<<23), 0)
#define SEC14_PIN13_SET_OUTP  GPIO_SetDir(0, (1<<23), 1)
#define SEC14_PIN13_SET_LOW   GPIO_ClearValue(0, (1<<23))
#define SEC14_PIN13_SET_HIGH  GPIO_SetValue(0, (1<<23))

#define SEC14_PIN14_INP       (GPIO_ReadValue(0) & (1<<26))
#define SEC14_PIN14_SET_INP   GPIO_SetDir(0, (1<<26), 0)
#define SEC14_PIN14_SET_OUTP  GPIO_SetDir(0, (1<<26), 1)
#define SEC14_PIN14_SET_LOW   GPIO_ClearValue(0, (1<<26))
#define SEC14_PIN14_SET_HIGH  GPIO_SetValue(0, (1<<26))

#endif



#define SEC14_INIT_UART \
  do {\
    PINSEL_CFG_Type PinCfg;\
    PinCfg.Funcnum = 3;\
    PinCfg.Portnum = 4;\
    PinCfg.Pinnum = 28;\
    PINSEL_ConfigPin(&PinCfg);\
    PinCfg.Pinnum = 29;\
    PINSEL_ConfigPin(&PinCfg);\
  } while(0)

#define SEC14_UART_DEV (LPC_UART3)
#define SEC14_SPI_DEV (LPC_SSP1)

#endif /* end __SEC14_AOAA_H */
/****************************************************************************
 *                            End Of File
 ****************************************************************************/
