/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __SEC14_LPC1788OEM_BB_H 
#define __SEC14_LPC1788OEM_BB_H

/******************************************************************************
 * Includes
 *****************************************************************************/
#include "lpc_types.h"

/******************************************************************************
 * Defines and typedefs
 *****************************************************************************/

//***********************************************
//* 14-pos Serial Expansion Connector
//* on LPC1788 OEM base board
//*
//* SPI-SCK  (pin 3) = GPIO29 = P0.15
//* SPI-MOSI (pin 4) = GPIO32 = P0.18
//* SPI-MISO (pin 5) = GPIO31 = P0.17
//* SPI-SSEL (pin 6) = GPIO69 = P2.14
//* RxD_inp  (pin 7) = GPIO25_RXD = P0.11
//* TxD_outp (pin 8) = GPIO24_TXD = P0.10
//* pin 11   = GPIO42 = P1.18
//* pin 12   = GPIO72 = P2.21
//* pin 13   = GPIO37_AIN0 = P0.23
//* pin 14   = GPIO38_AIN1 = P0.24
//*
//***********************************************

#if 0

#define SEC14_PIN6_INP       (LPC_GPIO2->PIN & (1<<14))
#define SEC14_PIN6_SET_INP   do {LPC_IOCON->P2_14 &= ~(0x07); LPC_GPIO2->DIR &= ~(1<<14);} while (0)
#define SEC14_PIN6_SET_OUTP  do {LPC_IOCON->P2_14 &= ~(0x07); LPC_GPIO2->DIR |= (1<<14);} while (0)
#define SEC14_PIN6_SET_LOW   (LPC_GPIO2->CLR = (1<<14))
#define SEC14_PIN6_SET_HIGH  (LPC_GPIO2->SET = (1<<14))

#define SEC14_PIN7_INP       (LPC_GPIO0->PIN & (1<<11))
#define SEC14_PIN7_SET_INP   do {LPC_IOCON->P0_11 &= ~(0x07); LPC_GPIO0->DIR &= ~(1<<11);} while (0)
#define SEC14_PIN7_SET_OUTP  do {LPC_IOCON->P0_11 &= ~(0x07); LPC_GPIO0->DIR |= (1<<11);} while (0)
#define SEC14_PIN7_SET_LOW   (LPC_GPIO0->CLR = (1<<11))
#define SEC14_PIN7_SET_HIGH  (LPC_GPIO0->SET = (1<<11))

#define SEC14_PIN8_INP       (LPC_GPIO0->PIN & (1<<10))
#define SEC14_PIN8_SET_INP   do {LPC_IOCON->P0_10 &= ~(0x07); LPC_GPIO0->DIR &= ~(1<<10);} while (0)
#define SEC14_PIN8_SET_OUTP  do {LPC_IOCON->P0_10 &= ~(0x07); LPC_GPIO0->DIR |= (1<<10);} while (0)
#define SEC14_PIN8_SET_LOW   (LPC_GPIO0->CLR = (1<<10))
#define SEC14_PIN8_SET_HIGH  (LPC_GPIO0->SET = (1<<10))

#define SEC14_PIN11_INP       (LPC_GPIO1->PIN & (1<<18))
#define SEC14_PIN11_SET_INP   do {LPC_IOCON->P1_18 &= ~(0x07); LPC_GPIO1->DIR &= ~(1<<18);} while (0)
#define SEC14_PIN11_SET_OUTP  do {LPC_IOCON->P1_18 &= ~(0x07); LPC_GPIO1->DIR |= (1<<18);} while (0)
#define SEC14_PIN11_SET_LOW   (LPC_GPIO1->CLR = (1<<18))
#define SEC14_PIN11_SET_HIGH  (LPC_GPIO1->SET = (1<<18))

#define SEC14_PIN12_INP       (LPC_GPIO2->PIN & (1<<21))
#define SEC14_PIN12_SET_INP   do {LPC_IOCON->P2_21 &= ~(0x07); LPC_GPIO2->DIR &= ~(1<<21);} while (0)
#define SEC14_PIN12_SET_OUTP  do {LPC_IOCON->P2_21 &= ~(0x07); LPC_GPIO2->DIR |= (1<<21);} while (0)
#define SEC14_PIN12_SET_LOW   (LPC_GPIO2->CLR = (1<<21))
#define SEC14_PIN12_SET_HIGH  (LPC_GPIO2->SET = (1<<21))

#define SEC14_PIN13_INP       (LPC_GPIO0->PIN & (1<<23))
#define SEC14_PIN13_SET_INP   do {LPC_IOCON->P0_23 &= ~(0x07); LPC_GPIO0->DIR &= ~(1<<23);} while (0)
#define SEC14_PIN13_SET_OUTP  do {LPC_IOCON->P0_23 &= ~(0x07); LPC_GPIO0->DIR |= (1<<23);} while (0)
#define SEC14_PIN13_SET_LOW   (LPC_GPIO0->CLR = (1<<23))
#define SEC14_PIN13_SET_HIGH  (LPC_GPIO0->SET = (1<<23))

#define SEC14_PIN14_INP       (LPC_GPIO0->PIN & (1<<24))
#define SEC14_PIN14_SET_INP   do {LPC_IOCON->P0_24 &= ~(0x07); LPC_GPIO0->DIR &= ~(1<<24);} while (0)
#define SEC14_PIN14_SET_OUTP  do {LPC_IOCON->P0_24 &= ~(0x07); LPC_GPIO0->DIR |= (1<<24);} while (0)
#define SEC14_PIN14_SET_LOW   (LPC_GPIO0->CLR = (1<<24))
#define SEC14_PIN14_SET_HIGH  (LPC_GPIO0->SET = (1<<24))

#endif



#define SEC14_INIT_UART do {\
  PINSEL_ConfigPin (0, 10, 1);\
  PINSEL_ConfigPin (0, 11, 1);\
} while(0)

#define SEC14_UART_DEV (LPC_UART2)
#define SEC14_SPI_DEV (LPC_SSP0)

#endif /* end __SEC14_LPC1788OEM_BB_H */
/****************************************************************************
 *                            End Of File
 ****************************************************************************/
