/*****************************************************************************
 *
 *   Copyright(C) 2011, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __RS220X_H
#define __RS220X_H

/******************************************************************************
 * Includes
 *****************************************************************************/

#include "error.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/

typedef enum
{
  RS220X_ENC_WPA = 1,
  RS220X_ENC_WPA2,
  RS220X_ENC_WEP,
} rs220xEnc_t;

typedef struct {
  void (*data)(uint8_t* ip, uint16_t port, uint8_t* buf, uint32_t len);
} rs220x_callb_t;


/******************************************************************************
 * Prototypes
 *****************************************************************************/

error_t rs220x_init(rs220x_callb_t* cb, uint8_t* ssid, uint8_t* srcIp,
    uint16_t srcPort, uint8_t* destIp, uint16_t destPort, uint8_t* mask,
    uint8_t* gw);

error_t rs220x_enableEncryption(rs220xEnc_t enc, uint8_t* key);

uint32_t rs220x_send(uint8_t *txbuf, uint32_t buflen);

void rs220x_task(void);

#endif /* end __RS220X_H */



